Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service.responsehandlers
Class BlockingAddTaskResponseHandler

    java.lang.Object
      org.jbpm.task.service.responsehandlers.AbstractBaseResponseHandler
          org.jbpm.task.service.responsehandlers.AbstractBlockingResponseHandler
              org.jbpm.task.service.responsehandlers.BlockingAddTaskResponseHandler

All Implemented Interfaces:
  ResponseHandler, TaskClientHandler.AddTaskResponseHandler

    public class BlockingAddTaskResponseHandler

extends AbstractBlockingResponseHandler
implements TaskClientHandler.AddTaskResponseHandler

Constructor Summary
`BlockingAddTaskResponseHandler()`

Method Summary
`void` | `execute(long taskId)`
`long` | `getTaskId()`
`long` | `getTaskId(int taskWaitTime)`

Methods inherited from class org.jbpm.task.service.responsehandlers.AbstractBlockingResponseHandler
`waitTillDone`

Methods inherited from class org.jbpm.task.service.responsehandlers.AbstractBaseResponseHandler
`createSideException, getError, hasError, isDone, setDone, setError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.task.service.ResponseHandler
`setError`

Constructor Detail

### BlockingAddTaskResponseHandler

    public BlockingAddTaskResponseHandler()

Method Detail

### execute

    public void execute(long taskId)

  Specified by:
    `execute` in interface `TaskClientHandler.AddTaskResponseHandler`

### getTaskId

    public long getTaskId()

### getTaskId

    public long getTaskId(int taskWaitTime)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.